## libkode 0.0~git20241211.68f9908

=== CMakeLists.txt ===
# Pass the following variables to cmake to control the build:
#
# -Dlibkode_QT6=[true|false]
#  Build against Qt6 rather than Qt5
#  Default=false (Qt5 will be used even if Qt6 is available)

cmake_minimum_required(VERSION 3.11)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

project(libkode)

option(${PROJECT_NAME}_QT6 "Build against Qt 6" OFF)

if(${PROJECT_NAME}_QT6)
  find_package(Qt6 6.0.0 CONFIG REQUIRED COMPONENTS Core Network Xml Test)
  set(QT_MAJOR_VERSION 6)
  set(libkode_LIBRARY_QTID "-qt6")
else()
  # Qt 5.9 required for QNetworkRequest::NoLessSafeRedirectPolicy
  find_package(Qt5 5.9.0 CONFIG REQUIRED COMPONENTS Core Network Xml Test)
  set(QT_MAJOR_VERSION 5)
  set(libkode_LIBRARY_QTID "")
endif()

set(CMAKE_AUTOMOC ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)

include_directories(SYSTEM
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/code_generation
)

enable_testing()

add_subdirectory(code_generation)
add_subdirectory(common)
add_subdirectory(schema)
add_subdirectory(autotests)

=== autotests/CMakeLists.txt ===
macro(xmlschema_add_test _target)
   add_executable(${_target} ${_global_add_executable_param} ${ARGN})
   target_link_libraries(${_target} xmlschema Qt${QT_MAJOR_VERSION}::Test)
   add_test(${_target} ${_target})
endmacro()

xmlschema_add_test(tst_xmlelement tst_xmlelement.cpp)
xmlschema_add_test(tst_element tst_element.cpp)
xmlschema_add_test(tst_group tst_group.cpp)

=== debian/changelog ===
libkode (0.0~git20241211.68f9908-1) unstable; urgency=medium

  * Initial release. (Closes: #1092284)

 -- Boyuan Yang <byang@debian.org>  Mon, 06 Jan 2025 16:28:15 -0500

=== debian/control ===
Source: libkode
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 qt6-base-dev,
Homepage: https://github.com/cornelius/libkode
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libkode.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libkode
Description: C++/Qt code for C++ code generation and XML/XSD parsing
 This repository contains C++/Qt code mainly for C++ code generation and
 XML/XSD parsing. The goal of these codes to ease generation of C++ code
 from Qt based applications. The code generator is designed to support
 generating C++11 and onwards compliant code.
 .
 The code was originally part of the kode and the KDSOAP project.

Package: libkode-qt6-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
Description: ${source:Synopsis} (Qt6 development files)
 ${source:Extended-Description}
 .
 This package contains the library development files for Qt6.

Package: libkode-qt6-0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: ${source:Synopsis} (Qt6 shared library)
 ${source:Extended-Description}
 .
 This package contains the shared library files for Qt6.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dlibkode_QT6=true

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/cornelius/libkode \
 HEAD

## libkode 0.0~git20251106.580356d

=== debian/changelog ===
libkode (0.0~git20251106.580356d-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Feb 2026 19:10:35 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: libkode
 Section: kde
-Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
  cmake,

=== debian/watch ===
Version: 5

Source: https://github.com/cornelius/libkode
Matching-Pattern: HEAD
Mode: git
Pgpmode: none
